#
# spec file for package jbig2dec
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jbig2dec
Url:            http://jbig2dec.sourceforge.net/
Summary:        JBIG2 Decoder Utility
License:        GPL-2.0+
Group:          Productivity/Other
Version:        0.11
Release:        10.5
Source:         http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  libpng-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
jbig2dec is a decoder utility implementing the JBIG2 bi-level image compression
spec. Also known as ITU T.88 and ISO IEC 14492, and included by reference in
Adobe's PDF version 1.4 and later.

%package -n libjbig2dec0
Summary:        JBIG2 Decoder Library
Group:          System/Libraries

%description -n libjbig2dec0
jbig2dec is a decoder utility implementing the JBIG2 bi-level image compression
spec. Also known as ITU T.88 and ISO IEC 14492, and included by reference in
Adobe's PDF version 1.4 and later.

%package devel
Summary:        JBIG2 decoder development files
Group:          Development/Libraries/C and C++
Requires:       libjbig2dec0 = %{version}

%description devel
This package contains development files needed for developing applications
based on libjbig2dec.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure \
    --disable-static \
    --with-libpng
make %{?_smp_mflags}

%install
%makeinstall

rm %{buildroot}%_libdir/libjbig2dec.la

%post -n libjbig2dec0 -p /sbin/ldconfig

%postun -n libjbig2dec0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES README COPYING LICENSE
%{_mandir}/man1/jbig2dec.1*
%{_bindir}/jbig2dec

%files -n libjbig2dec0
%defattr(-,root,root)
%{_libdir}/libjbig2dec.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/jbig2.h
%{_libdir}/libjbig2dec.so

%changelog
* Fri Feb 15 2013 badshah400@gmail.com
- Use the correct link to source tarball (from sourceforge)
- Add BuildRequires: xz, because source tarball is xz compressed
- Cleanup spec file.
* Wed Jan 16 2013 gber@opensuse.org
- clean up specfile further
- make jbig2dec-devel dpend on libjbig2dec0
* Thu Aug 16 2012 idonmez@suse.com
- Cleanup spec file
- Add baselibs.conf
* Sat Jul  7 2012 sleep_walker@suse.cz
- add -fPIC into CFLAGS
* Thu Jul  5 2012 sleep_walker@suse.cz
- accept wider convence for man page
* Thu Jul  5 2012 sleep_walker@suse.cz
- fix build for factory
* Wed Jul  4 2012 sleep_walker@suse.cz
- replace tarballs
* Wed Jul  4 2012 sleep_walker@suse.cz
- update to 0.11
* Tue Oct 27 2009 lnussel@suse.de
- initial package version 0.10
